Skip to main content

Workspace Identity Detail

View as Markdown

WorkspaceIdentityDetail object

The details of a directly or indirectly assigned principal's details in a workspace.

principal_idint64Beta

The internal ID of the principal (user/sp/group) in <Databricks>.

principal_typestringBeta

The type of the principal (user/service principal/group).

Values: PRINCIPAL_TYPE_UNSPECIFIED, USER, SERVICE_PRINCIPAL, GROUP

workspace_identity_statusstringBeta

The activity status of an identity in a <Databricks> workspace.

Values: STATE_UNSPECIFIED, ACTIVE, INACTIVE

assignment_typestringBeta

The type of assignment the principal has to the workspace (direct or indirect).

Values: ASSIGNMENT_TYPE_UNSPECIFIED, DIRECT, INDIRECT

Get Beta

GET /api/2.0/identity/workspace-identity-details/{principal_id}

Returns the identity details for a principal in a workspace.

API scopes: identity

Parameters

principal_idint64path

Required. The internal ID of the principal (user/sp/group) for which the identity details are being requested.

Response

Returns the WorkspaceIdentityDetail object.

Update Beta

PATCH /api/2.0/identity/workspace-identity-details/{principal_id}

Updates a workspace identity detail for a principal.

API scopes: identity

Parameters

principal_idint64path

Required. ID of the principal in <Databricks>.

update_maskstringquery

Required. The list of fields to update.

Request body

workspace_identity_detailobject

Required. Workspace identity detail to be updated in <Databricks>.

Show child attributesHide child attributes
principal_idint64

The internal ID of the principal (user/sp/group) in <Databricks>.

principal_typestring

The type of the principal (user/service principal/group).

Values: PRINCIPAL_TYPE_UNSPECIFIED, USER, SERVICE_PRINCIPAL, GROUP

workspace_identity_statusstring

The activity status of an identity in a <Databricks> workspace.

Values: STATE_UNSPECIFIED, ACTIVE, INACTIVE

assignment_typestring

The type of assignment the principal has to the workspace (direct or indirect).

Values: ASSIGNMENT_TYPE_UNSPECIFIED, DIRECT, INDIRECT

Response

Returns the WorkspaceIdentityDetail object.